----------------------
phpMyAdmin - ChangeLog
----------------------

$Id: ChangeLog 10052 2007-03-02 17:35:25Z lem9 $
$HeadURL: https://svn.sourceforge.net/svnroot/phpmyadmin/branches/MAINT_2_10_0/phpMyAdmin/ChangeLog $

2007-03-02 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.10.0.2 released from MAINT_2_10_0

2007-03-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php: bug #1671813 CVE-2006-1549 deep recursion crash

2007-02-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/config.default.php: set $cfg['Servers'][$i]['ssl'] default
      value to false, we got reports from some users having problems with the
      default value of true
    ### 2.10.0.1 released from MAINT_2_10_0

2007-02-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1659176, memory error displaying
      a table with large BLOBs
    ### 2.10.0 released

2007-02-26 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/upgrade_tables_mysql_4_1_2+.sql: bug #1668662,
      can create the new pma_designer_coords table 

2007-02-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1667466, undefined variable when
      export + save on server
    * server_status.php: bug #1665930, undefined PHP_SELF

2007-02-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/config.default.php: RFE #1621437, HEX and UNHEX were not
      available for a BINARY field

2007-02-21 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd/scripts/move.js: bug #1650770, Designer and Mac OSX,
      thanks to Ivan Kirillov

2007-02-17 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1659347, missing doc for some config,
     thanks to Isaac Bennetch
    * libraries/export/sql.php: bug #1663336, undefined variable

2007-02-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, footer.inc.php: avoid generating big links
      after an upload into a BLOB

2007-02-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: white page after uploading a 700 Kio BLOB
    * add a warning on main page if mcrypt can't be loaded (bug 1658160)

2007-02-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php: bug #1616486 server_databases does
      not show all databases
    * libraries/sqlparser.data.php: MySQL function and column names, reserved
      and forbidden words updated,
      bug #1657045 Spatial functions not supported
      bug #1657037 Missing column type "geometry"

2007-02-11 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: some links should open a new page
    * Documentation.html, libraries/navigation_header.inc.php,
      libraries/config.default.php: $cfg['LeftLogoLinkWindow'] to decide
      in which window the logo-linked page will appear
    ### 2.10.0-rc1 released

2007-02-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish update, thanks to Daniel Hinostroza

2007-02-09 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/darkblue_orange/img/logo_left.png,
      themes/original/img/logo_left.png: smaller PMA logo for navi

2007-02-08 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php: bug #1653769 browsing highlight disabling
      doesn't work

2007-02-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * pmd_general.php, pmd_pdf.php, pmd_save_pos.php: fixed short open tags
      patch #1652886 thanks to Martin Thielecke - mthie
    * tbl_change.php: fixed escaping of field names in HTML and JavaScript
    * libraries/common.lib.php: PMA_backquote() did not quote 0
    * tbl_change.php: bug #1652810 - slashes are not escaped properly

2007-02-05 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/japanese: Update, thanks to Ishigaki Kenichi - tcool.

2007-02-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/german: updated

2007-02-03 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd/scripts/move.js: display problems in Opera, thanks to Maxim Bulygin

2007-02-02 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace.php: Calendar icon does not work on "Insert another new row"

2007-02-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/import.lib.php: bug #1626064, too much quoting on import

2007-02-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1644740 - $cfg['Order'] = 'SMART'
      overwritten
    * libraries/Theme.class.php: removed __wakeup() due to some requirements are
      not fulfilled at this point - also thanks to Jürgen Wind - windkiel

2007-01-31 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/session.inc.php:
      bug #1630871 - Detecting a missing write permission on sessions directory

2007-01-30 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sqlparser.lib.php PMA_SQP_analyze():
      bug #1647785 - do not pass variables by reference

2007-01-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin)
    * pmd_general.php: possibility of quotes in Designer messages,
      thanks to Ivan Kirillov
    ### 2.10.0-beta1 released from QA_2_10

2007-01-26 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php, libraries/js_escape.lib.php,
      test/escape_js_string.php, test/core.lib.php: Move java script escaping
      to separate library, make it safer on </script> escaping and add
      testcase for it.
    * test/theme.php: Move to test package.

2007-01-22 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd/*: button for direct/angular links, thanks to Ivan Kirillov

2007-01-22 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2007-01-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table.class.php: on a MySQL 5.0.33 server with 4400 databases,
      one of which having 400 tables, it took more than 3 minutes just to
      see the database structure (some accesses to INFORMATION_SCHEMA are
      just too slow) so I changed PMA_Table::isView() to avoid calling
      INFORMATION_SCHEMA

2007-01-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1638267, wrong reserved word
      recognition
    * server_privileges.php: bug #1635377, superfluous backslash,
      thanks to Hanut

2007-01-19 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd*, lang/*: Designer now supports set/unset of the display field,
      thanks to Ivan Kirillov

2007-01-18 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.
    * libraries/auth/cookie.auth.lib.php: Make server switching honour more
      server settings (patch #1630104).

2007-01-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish: update, thanks to Burak Yavuz - bourock

2007-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.2 released from QA_2_9

2007-01-12 Marc Delisle  <lem9@users.sourceforge.net>
    * (many files): Designer, two features (snap to grid / display field)
      thanks to Ivan Kirillov
    * libraries/Theme_Manager.class.php: patch #1611684, force a change
      of a session variable to avoid phpmyadmin.css.php caching problems,
      thanks to Christian Schmidt

2007-01-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian: Update, thanks to Marko Ellermaa - uhuu

2007-01-09 Michal Čihař  <michal@cihar.com>
    * index.php: Properly escape strings written in JS code.
    * libraries/Theme_Manager.class.php: Avoid trigger error here, parameter
      comes from user and it might lead to path disclossure.
    * libraries/common.lib.php:
        - Properly escape </script> in JS code.
        - Check db, table and sql_query params to be string.

2007-01-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php: prevent attack on session name cookie

2007-01-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php: bug #1538132, remove the setting of
      session.save_handler to 'files'
    * pmd_general.php: patch #1627831,
      English language improvements, thanks to Isaac Bennetch
    * pmd_general.php, pmd_relation_new.php, lang/*: abstract messages 

2007-01-04 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd/scripts/move.js: avoid text selection when moving a table object
      under MSIE 6, thanks to Ivan Kirillov
    * libraries/db_links.inc.php: better icon for Designer, thanks to I.K.

2007-01-02 Marc Delisle  <lem9@users.sourceforge.net>
    * Designer: various fixes and improvements (for example support
      for MSIE 6), thanks to Ivan Kirillov
    * pdf_pages.php: undefined $pdf_page_number when no auto layout
    * server_privileges.php: bug #1614087, deleting a user having a
      global GRANT privilege fails under MySQL 4.1.x

2007-01-02 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Add <div> to allow selecting whole SQL by
      tripple click (patch #1611591).
    * libraries/export/sql.php: DELIMITER should not be commented out (bug
      #1612870).

2006-12-31 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: RFE #1602243, another cause for Missing parameter,
      thanks to Dave Nolan
    * Documentation.html, db_structure.php, libraries/Table.class.php,
     /config.default.php: RFE #1548637, MaxExactCountViews (default 0)
     so by default, row count is not done for views

2006-12-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1590083, 
    $cfg['DefaultConnectionCollation'] ignored in config.inc.php

2006-12-30 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2006-12-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: RFE #1621025, show SQL statement in Relation View
      (I only implemented the display of InnoDB-related statements)
    * libraries/config.default.php: RFE #1621437, add HEX and UNHEX

2006-12-27 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/common.lib.php: patch #1592366,
     possibility of using the host name as a parameter in the URL,
     thanks to Arnold Daniels

2006-12-26 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: set $local_query only if we are exporting data
    * export.php, libraries/export/latex.php, /sql.php, /htmlword.php,
      /odt.php, lang/*: bug #1621280, VIEW dependencies during export

2006-12-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1619647, export of query results
      should not contain procedure definitions
    * navigation.php, test/theme.php,  browse_foreigners.php,
      libraries/header_printview.inc.php: patch #1611684 part 2, client 
      caching of phpmyadmin.css.php, thanks to Christian Schmidt

2006-12-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * tbl_change.php, tbl_replace.php, libraries/tbl_replace_fields.inc.php:
      refactored: made register_globals independent; added documentation;
      removed unused code; fixed bug #1597686 last insert id message wrong;
      much more i don't remember ...
    * libarsies/common.lib.php::PMA_showMessage():
      added second optional parameter: $sql_query
    * tbl_change.php: make use of new second PMA_showMessage() parameter

2006-12-15 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/common.lib.php, config.default.php:
      bug #1615313, doc referred to HTTP so enable the code to accept
      either HTTP or http as auth_type

2006-12-15 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2006-12-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_export.lib.php, /common.lib.php, lang/*:
      bug #1607282, bug in older MySQL removes auto_increment when asking
      for MYSQL40 compatibility mode

2006-12-12 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table.class.php: problem changing a TIMESTAMP to DEFAULT 0
    * tbl_change.php: bug #1610314, incomplete detection of binary column

2006-12-11 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2006-12-10 Marc Delisle  <lem9@users.sourceforge.net>
    * many scripts: we were using "uva" in variables and function names,
      this was code suggested by University of Virginia; I improved the code
      by removing this uva prefix
    * libraries/export/sql.php: patch #1595784, add charset information
      to SQL export, thanks to Christian Schmidt
    * css/phpmyadmin.css.php, libraries/session.inc.php,
      libraries/Config.class.php, libraries/header_meta_style.inc.php:
      patch #1611684, allow client caching of phpmyadmin.css.php,
      thanks to Christian Schmidt

2006-12-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/ip_allow_deny.lib.php: checks that the header contains
      only one IP address, thanks to Christian Schmidt

2006-12-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/import.lib.php, /common.lib.php: bug #1603660,
      incorrect escaping of ">"
    * server_variables.php: bug #1589611, problem on 64-bit systems

2006-12-05 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: Grant all privileges on wildcard name: we should
      really grant on username\_ instead of username_

2006-12-05 Michal Čihař  <michal@cihar.com>
    * server_privileges.php: Add IF NOT EXISTS to CREATE DATABASE query (RFE
      #1608372), reload navigation after creating database.
    * server_privileges.php: Use correct links (patch #1607236).

2006-12-04 Marc Delisle  <lem9@users.sourceforge.net>
    * db_structure.php, bug #1605985, missing HTML tag

2006-11-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish update, thanks to Daniel Hinostroza
    * sql.php, libraries/display_tbl.lib.php: patch #1605032, checks for
      undefined index, thanks to Arpad Borsos

2006-11-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_structure.php: bug #1602335, browse distinct values
      and name containing a quote
    * libraries/bookmark.lib.php: bug #1579701: error listing bookmarks
      when dropping a table and no pmadb

2006-11-24 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, Documentation.html: users can now toggle the display
      of the Function column from the interface

2006-11-23 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd/scripts/move.js: fix a few js errors
    * pmd*.php: remove unneeded calls to getRelationsParam();
      verify if the internal relations are enabled before trying to
      create one

2006-11-22 Marc Delisle  <lem9@users.sourceforge.net>
    * Designer: get rid of pmd_config.php and pmd_get_info.php,
      rename pmd_session.php to pmd_common.php
    * Designer: missing messages

2006-11-21 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd_general.php, lang/*: added $strHelp

2006-11-20 Marc Delisle  <lem9@users.sourceforge.net>
    * french updates
    * remove references to phpMyDesigner.net, asked by Ivan
    * lang/*: typo: "formated" should be "formatted"

2006-11-19 Michal Čihař  <michal@cihar.com>
    * themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php,
      libraries/database_interface.lib.php: Fix typos (bug #1597137).
    * libraries/unzip.lib.php: Fix check for encrypted file (bug #1596304).
    * lang/czech: Update.

2006-11-19 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd_general.php, pmd_get_info.php, pmd/scripts/move.js,
      pmd_relation_new.php, lang/*: support internal relations also
      on unique keys, not only on primary keys
    * scripts/upgrade.pl: bug #1599173, adapt for new filename structure,
      thanks to Linas Gricius
    * tbl_relation.php, lang/*: bug #1597019, wrong error message when foreign
      key is not the same data type as referenced key

2006-11-18 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/ip_allow_deny.lib.php: Define headers
      which to trust in configuration, thanks for help with this to Christian
      Schmidt, Peytz & Co.
    * libraries/PMA_List_Database.class.php: Fix XSS on database comment,
      thanks to laurent gaffié.

2006-11-18 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php, libraries/common.lib.php, /cleanup.lib.php: undefined index

2006-11-17 Michal Čihař  <michal@cihar.com>
    * sql.php, libraries/display_tbl.lib.php: Force pos to be integer to avoid
      XSS.
    * navigation.php: Fix XSS on table comment.
    * index.php, libraries/cleanup.lib.php, libraries/url_generating.lib.php,
      libraries/common.lib.php, libraries/select_lang.lib.php: Fix path
      disclossure while passing array as some params.
    * Documentation.html, libraries/ip_allow_deny.lib.php,
      libraries/config.default.php: Trust only listed proxies for IP
      Allow/Deny.

2006-11-16 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd_pdf.php: export coordinates to PDF page even if the tables
      were not defined on this PDF page

2006-11-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: verify the presence of designer_coords

2006-11-13 Michal Čihař  <michal@cihar.com>
    * server_status.php: Check for divison by zero (bug #1594460).
    * db_operations.php: Change information about not configured pmadb to
      notice (bug #1589294).
    * scripts/setup.php: Configure also designer table.

2006-11-12 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd_get_info.php: avoid error if no index defined for a table

2006-11-11 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2006-11-11 Marc Delisle  <lem9@users.sourceforge.net>
    * pmd_general.php, pmd_get_info.php, pmd/scripts/move.js, lang/*:
      in InnoDB, it's allowed to create a relation even if it's not on
      a primary key, so display the InnoDB-related options (ON UPDATE,
      ON CASCADE)

2006-11-10 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translate designer.
    * config.sample.inc.php: Comment out pmadb and controluser to avoid
      confusion when they are not properly created.

2006-11-09 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.1 released from MAINT_2_9_1

2006-11-07 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translate designer.

2006-11-07 Marc Delisle  <lem9@users.sourceforge.net>
    * (many files) new Designer feature, thanks to Ivan A Kirillov

2006-11-03 Michal Čihař  <michal@cihar.com>
    * config.sample.inc.php: Make it use CRLF to make Windows users happy.

2006-11-02 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Mention problems with Hardened-PHP.
    * user_password.php, tbl_move_copy.php, export.php,
      libraries/session.inc.php, libraries/mcrypt.lib.php,
      libraries/auth/cookie.auth.lib.php: Use PMA_{set,remove}Cookie functions
      instead of PHP ones (no need to define params on all places).
    * libraries/common.lib.php, libraries/session.inc.php: Make all cookies
      httponly as default - this protects them from usage in javascript in
      modern browsers (RFE #1586078).
    * pdf_schema.php, contrib/packaging/Fedora/phpMyAdmin.spec,
      libraries/export/pdf.php, libraries/fpdf, libraries/tcpdf: Switch to
      TCPDF for PDF generating (RFE #1501452).
    * readme.php, README: Make README utf-8.
    * Documentation.html, libraries/dbi/mysqli.dbi.lib.php,
      libraries/dbi/mysql.dbi.lib.php, libraries/config.default.php: Add
      support for SSL connections (based on patch #1588882).
    * libraries/sqlparser.data.php: Add support for XML manipulating functions
      - UpdateXML and ExtractValue (RFE #1532712).
    * scripts/setup.php: Make end of line in generated file configurable (RFE
      #1493897).
    * server_status.php: Calculate key read/write ration (RFE #1466287).
    * Documentation.html, navigation.php,
      themes/original/css/theme_left.css.php,
      libraries/PMA_List_Database.class.php, libraries/config.default.php:
      Optional display of databases in navigation frame as list instead of
      dropdown (RFE #1435922).
    * scripts/setup.php: Configuration for list/drop down choice.
    * tbl_change.php: Automatically edit text in textarea if it contains new
      lines (RFE #1224791).
    * lang/dutch: Fix typo, thanks to Thijs Kinkhorst - kink.

2006-10-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/fpdf/font: replace broken binary files

2006-10-27 Michal Čihař  <michal@cihar.com>
    * export.php: Define $tables on correct place (bug #1585374).
    * import.php: Do not load header to soon to avoid reading table stats
      before query gets executed (bug #1441833).
    * libraries/tbl_links.inc.php, libraries/db_links.inc.php,
      libraries/common.lib.php, lang/*,
      themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php: Do not disable tabs for empty
      tables/databases, only make them look different (RFE #1584296).
    * libraries/common.lib.php: Show messages in notice div to make them look
      better and more visible.
    * sql.php, lang/*: Better message when showing as PHP code.
    * libraries/common.lib.php: Add missing quotes.
    * import.php, libraries/db_common.inc.php: Avoid query execution when
      showing PHP code (bug #1567314).
    * sql.php, libraries/common.lib.php, lang/*: Correct behaviour when
      switching from PHP to SQL display mode (no execution of query).

2006-10-26 Marc Delisle  <lem9@users.sourceforge.net>
    * error.php, libraries/common.lib.php, /database_interface.lib.php,
      /session.inc.php: force utf-8 charset to avoid XSS with crafted URL
      and utf-7 in charset; error messages won't display correctly if
      the chosen lang is not utf-8

2006-10-26 Michal Čihař  <michal@cihar.com>
    * libraries/import/csv.php: Fix wrong import when ;; is at buffer boundary
      (bug #1584836).
    * tbl_operations.php: Fix duplicate ID for checkbox (bug #1584770).
    * libraries/import/README: Fix example import plugin to match current
      state.
    * libraries/import.lib.php: Add support for running queries as control
      user.
    * db_importdocsql.php, Documentation.html, scripts/setup.php,
      db_operations.php, libraries/read_dump.lib.php,
      libraries/import/docsql.php, libraries/config.default.php, lang/*:
      Convert DocSQL import to import plugin, remove not needed messages and
      files it used.
    * lang/*: Remove profiling messages as profiling extension has been
      dropped some time ago.
    * libraries/common.lib.php: pma_convcharset never existed :-).
    * libraries/tbl_properties.inc.php: Check form only when saving table
      fields (bug #1566222).
    * libraries/transformations.lib.php: Improve options parser.
    * libraries/transformations/application_octetstream__download.inc.php:
      Again accept column name (bug #1562864).

2006-10-25 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/tbl_properties.inc.php,
      libraries/config.default.php: Allow to edit small number of fields
      vertically and lange number horizontally (RFE #1581773).
    * [too much files]:
        - Rename tbl_* files to drop useless _properties part.
        - Rename db_* files to drop useless _details part.
    * libraries/Config.class.php: Add backward compatibility code to affect
      above renaming.

2006-10-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, /database_interface.lib.php,/session.inc.php:
      wrong parameter "char" when calling error.php, should be "charset"

2006-10-19 Michal Čihař  <michal@cihar.com>
    * db_import.php, db_details.php, db_details_export.php,
      db_details_structure.php, db_details_qbe.php, db_operations.php,
      sql.php, libraries/db_info.inc.php, libraries/mult_submits.inc.php,
      libraries/header.inc.php, libraries/db_details_db_info.inc.php,
      server_privileges.php: Rename db_details_db_info.inc.php to
      db_info.inc.php.
    * libraries/common.lib.php: Fix escaping of long query with js (thanks to
      Erwin for report).

2006-10-18 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, libraries/Table.class.php: bug #1567316,
      renaming a db containing a view

2006-10-18 Michal Čihař  <michal@cihar.com>
    * libraries/transformations/text_plain__dateformat.inc.php, lang/*:
      Support displaying in UTC (RFE #1440386).
    * libraries/transformations.lib.php: Write own parser so that quoting is
      optional (RFE #1579163).
    * lang/*: Change help to fit current behaviour (RFE #1579163).
    * themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php,
      libraries/sql_query_form.lib.php: Let's again obey TextareaRows (bug
      #1465906).
    * libraries/export/sql.php: Keep 0 in exported auto_increment fields (bug
      #1440544).
    * js/navigation.js: Fix setting of navigation width when using RTL lang
      (bug #1579750).
    * libraries/navigation_header.inc.php, libraries/left_header.inc.php,
      navigation.php: Rename left_header to navigation_header.

2006-10-17 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: export nothing if no tables are selected
    * libraries/Table.class.php: bug #1567316, renaming a db containing view
      (but still some work to ensure proper sequence of renaming)

2006-10-17 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Fix HTML errors.
    * libraries/sqlparser.data.php, libraries/sqlparser.lib.php: Add support
      for ON DUPLICATE KEY (bug #1576226).
    * Documentation.html, main.php, libraries/config.default.php: Add support
      for hiding server information.
    * libraries/transformations/text_plain__dateformat.inc.php: Correctly
      handle unix timestamp (RFE #1440386).

2006-10-16 Michal Čihař  <michal@cihar.com>
    * left.php, navigation.php, scripts/setup.php, js/querywindow.js,
      Documentation.html, index.php, libraries/common.lib.php: Rename left.php
      to navigation.php and modify all calls to that. Only config variables
      are kept as Left*.
    * libraries/common.lib.php: Switch to \n on Mac, as it is reported to be
      common EOL there now (bug #1577590).

2006-10-14 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php, db_details_export.php: bug #1541189, views are not displayed
      in export list;
      However I'm still not sure what should be done if a user only chooses
      a view. In the past we ensured to avoid exporting data from a view
      because it would create redundant data in the export file

2006-10-13 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php: bug #1517428, some IE 6 versions have
      problems loading CSS when zlip.output_compression is on,
      thanks to Juergen Wind
    * db_details_export.php: select all tables by default to reflect
      the default export behavior

2006-10-13 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Mention wiki.
    * scripts/create-release.sh: Readd snapshot support.
    * libraries/cleanup.lib.php, libraries/common.lib.php: Move cleanup to
      separate function (bug #1569123).
    * changelog.php: Switch to subversion.
    * main.php:
        - Mention wiki.
        - Switch to subversion.
    * libraries/export/csv.php: Fix cvs/csv typo (bug #1583509).
    * ChangeLog, libraries/sqlvalidator.class.php: Use HeadURL instead of
      Source keyword.
    * scripts/setup.php, libraries/sqlparser.lib.php: Remove last CVS
      mentions.

2006-10-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1566219, automated timestamp values

2006-10-12 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Change CVS instructions to SVN.
    * scripts/create-release.sh: Switch to SVN:
        - use svn instead of cvs
        - remove chmod (we can have correct permissions in svn)
        - some cleanup
        - use export and thus remove need for removing files
        - fix help instructions to contain correct version
        - CHANGE: you have to prepend "tags" or "branches" to tag or branch
          specification
    * */.cvsignore: Removed, this is now stored in svn:ignore property (use
      svn propget/propset to work with them).
    * many files: Fix permissions.

2006-10-11 Marc Delisle  <lem9@users.sourceforge.net>
    ### Migration to Subversion

2006-10-10 Michal Čihař  <michal@cihar.com>
    * lang/german: Fix typo (translation #1467138).
    * libraries/import.lib.php: Correctly fail if file is too short (bug
      #1574340).
    * libraries/db_table_exists.lib.php: Fix displaying of entered query.
    * libraries/common.lib.php: Check for sent headers, provide backtrace in
      this case.
    * libraries/export/excel.php: Fix MIME type and extension to state before
      plugins were introduced (patch #1570742, thanks to ssevennm - ssevennm).
    * libraries/sqlparser.lib.php: Fix parsing of CHAR column type (bug
      #1573502).

2006-10-09 Michal Čihař  <michal@cihar.com>
    * lang/german: Fix typo (translation #1570611).

2006-10-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1562533, problems with unbuffered queries
    * Documentation.html: FontFamily, FontFamilyFixed
    * themes/original/layout.inc.php: bug #1564409, default FontFamily

2006-10-07 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: use lang-cleanup.sh from the kit,
      list all files, and allow non-anonymous access

2006-10-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, bug #1568341, last part of
      the fix to avoid problems on Windows servers, thanks to Juergen Wind

2006-10-06 Michal Čihař  <michal@cihar.com>
    * scripts/lang-cleanup.sh: Script for removing not installed languages
      from libraries/select_lang.lib.php.
    * scripts/create-release.sh: Make it better :-):
        - Create 7z archives
        - Make compression list configurable
        - Allow to define which kits to build
        - Call scripts/lang-cleanup.sh to remove not wanted languages
        - Do not login to cvs if already logged in

2006-10-05 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: starting changes for new kits
      TODO: - trimming of libraries/select_lang.lib.php in the kit
            - 7zip
            - remove gzip ?

2006-10-04 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Fixes thanks to Matt LaPlante - cyberdog3k.
        - Fix Wikipedia URLs (patch #1568498).
        - Fix duplicate ids (patch #1568504).
    * tbl_replace.php, libraries/config.default.php: Add support for UTC_DATE,
      UTC_TIME and UTC_TIMESTAMP functions, based on patch #1563585, thanks to
      Alexander Schuch - ci-dev.
    * tbl_alter.php: Fix order of includes (bug #1569277).

2006-10-03 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.0.2 released from MAINT_2_9_0

2006-10-03 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Sync token name, move it's definition to one place
      (bug #1569612).
    * libraries/auth/signon.auth.lib.php: Sync token name.

2006-10-01 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.0.1 released from MAINT_2_9_0
    * libraries/database_interface.lib.php: bug #1568341,
      case sensitivity in database names
    * tbl_relation.php: trap error 1452 when adding a foreign key
      and a constraint fails
    * libraries/export/sql.php: bug #1550690, wrong export of constraints,
      thanks to Robert Vock

2006-09-29 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, bug #1566904, typo in require,
      thanks to Björn Wiberg - bwiberg.
    * libraries/grab_globals.lib.php: fix attack via _FILES,
      thanks to Stefan Esser
    * libraries/common.lib.php, /session.inc.php, /url_generating.lib.php:
      security fixes (announcement will come later),
      thanks to Sebastian Mendel and Stefan Esser
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat

2006-09-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/.htaccess: remove potential vulnerability (allow from none),
      thanks to Michael Heimpold

2006-09-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1519859, avoid overflow on 64-bit machines

2006-09-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/tbl_properties_links.inc.php: bug #1560152,
      after renaming a table the navigation does not work

2006-09-22 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/ob.lib.php: refactored
    * left.php: cleanup
    * js/navigation.js: *new* JavaScript from left.php

2006-09-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/PMA_List.class.php: new PMA_List class
    * libraries/PMA_List_Database.class.php, left.php, libraries\common.lib.php:
      moved some more code into class, some documentation improvements

2006-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.0 released from QA_2_9

2006-09-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * export.php, left.php, libraries\Table.class.php, libraries\common.lib.php,
      libraries\database_interface.lib.php, libraries\dbi\mysql.dbi.lib.php,
      libraries\dbi\mysqli.dbi.lib.php, libraries\sql_query_form.lib.php,
      querywindow.php, server_databases.php, server_export.php,
      tbl_properties_operations.php:
      replaced $dblist with new PMA_List_Database class
    * libraries\database_interface.lib.php: added error reporting if dblist
      retrieval from information_schema fails
    * left.php: remember navigation frame width

2006-09-19 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/footer.inc.php,
      libraries/dbg/profiling.php: remove profiling feature
      due to licensing issues (non GPL code)

2006-09-18 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Add phpdoc header comment.
    * libraries/db_config.lib.php: Removed unused file.

2006-09-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php libraries/Config.class.php:
      rename a function borrowed from Moodle to avoid double definition
      when PMA is called by Moodle
    * lang/finnish: Update, thanks to Yoneh - yoneh.
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.

2006-09-14 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Fix table footer when MySQL does not support
      collations (bug #1554885, patch #1557269, thanks to Isaac Bennetch -
      ibennetch).

2006-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/config.default.php, libraries/export/sql.php:
      bug #1556934, sql compatibility mode on export

2006-09-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1555760, export default parameter broken

2006-09-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1554166, magic_quotes_runtime

2006-09-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/check_lang.sh: ignore differences in doc_lang
    * lang/italian: Update, thanks to Rebe - rebeluca.
    ### 2.9.0-rc1 released from QA_2_9
    * querywindow.php: bug #1549824, SQL history and quote escaping

2006-09-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish: update, thanks to Burak Yavuz - bourock

2006-08-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1542865, themes not switching
      when ThemePerServer is true

2006-08-30 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php, lang/*: Internationalise link to MySQL
      documentation when translation exists, this needs to be defined in
      language file (RFE #1547130).
    * lang/belarusian_latin-utf-8.inc.php: Fix charset information.
    * scripts/setup.php: Add link to wiki explaining configuration options.

2006-08-29 Michal Čihař  <michal@cihar.com>
    * lang/croatian: Updated, thanks to Renato Pavicic - babalui.

2006-08-28 Michal Čihař  <michal@cihar.com>
    * config.sample.inc.php, Documentation.html: Add minimal sample
      configuration, so that lazy people won't copy
      libraries/config.default.php (RFE #1544570).

2006-08-27 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/*/layout.inc.php: patch #1523543, possibility of vertical
      solid line between frames, thanks to Juergen Wind

2006-08-26 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: bug #1544799, undefined variable on db copy
    * libraries/common.lib.php: bug #1544734, error messages link outdated,
      thanks to René Leonhardt
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * libraries/tbl_properties.inc.php: bug #1543996, wrong link for message,
      thanks to GerardW

2006-08-24 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/config.default.php,
      libraries/auth/signon.auth.lib.php, scripts/signon.php,
      scripts/setup.php: Add single signon authentication method (patch
      #1545366, patch #1541379, patch #1531302 and RFE #1031391).
    * libraries/auth/cookie.auth.lib.php, libraries/auth/http.auth.lib.php:
      Add support for LogoutURL.

2006-08-22 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/setup.php: bug #1536112, better fix (in case of
      register_globals enabled), thanks to Michal
    ### 2.8.2.3 released from MAINT_2_8_2
    * scripts/setup.php: bug #1544692, version 2.8.2.3 breaks setup.php
      on a server with register_globals enabled, thanks to Juergen Wind
    ### 2.8.2.4 released from MAINT_2_8_2

2006-08-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, libraries/auth/cookie.auth.lib.php:
      bug #1542875, Cookie auth on IIS

2006-08-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.

2006-08-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/pdf.php: do not display BLOBs on PDF export
    * lang/brazilian-portuguese: update, thanks to thedarkness
    * lang/catalan update, thanks to Xavier Navarro (xavin)

2006-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: sorting on column header

2006-08-16 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlexcel.php: Fix charset header of exported HTML/XLS
      file (bug #1541100).

2006-08-15 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/german: Updated

2006-08-14 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Improve readibility (patch #1539976), thanks to Isaac
      Bennetch - ibennetch.
    * lang/czech: Updated.

2006-08-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php: more complete check before showing
      Relation View
    ### 2.8.2.2 released from MAINT_2_8_2

2006-08-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1519799, imagelink error
    * tbl_select.php: feature #1520222, calendar in Search

2006-08-12 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: bug #1492772, parsing EXTRACT YEAR_MONTH
      (there were sorting errors in the function names array)
      also bug #1534007, STD function not working
    * lang/polish: updates, thanks to Jakub Wilk - ubanus
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.
    * lang/italian: Update, thanks to Rebe - rebeluca.
    * lang/japanese: Update, thanks to Ishigaki Kenichi - tcool.
    * lang/belarusian updates, thanks to Jaska Zedlik

2006-08-11 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, import.php, libraries/parse_analyze.lib.php:
      bug #1533945, wrong table name in header (SELECT from query window)
    * libraries/auth/config.auth.lib.php: bug #1536112, config not loaded
      (MySQL error 2002 or 2003)

2006-08-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css\phpmyadmin.css.php, themes\*:
      updated themes to 2.9 and some minor fixes
      thanks to Juergen Wind - windkiel for hinting this (patch #1535169)

2006-08-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat
    * lang/catalan update, thanks to Xavier Navarro (xavin)
    * lang/galician: Update, thanks to Xosé Calvo - xosecalvo.
    * lang/estonian: Update, thanks to Marko Ellermaa - uhuu
    * lang/russian: update, thanks to Gosha Sakovich - gt2
    * libraries/common.lib.php: bug #1534475, arbitrary server

2006-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mysql_charsets.lib.php: bug #1530574:
      MySQL 4.1.13 and double quotes in SHOW VARIABLES,
      thanks to Herve Pages
    * docs.css, Documentation.html: bug #1446538, FAQ numbers missing
    * libraries/display_select_lang.lib.php, lang/*: $strLanguage

2006-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: added a FIXME for db copy with Add Constraints
      and mysql extension

2006-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1527862, export foreign keys is broken
    in latest CVS

2006-08-04 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php, libraries/export/sql.php:
      bug #1526000, copying table to another db (MYSQL 5.0.24)
    * db_details_structure.php: bug #1530574, misaligned HTML
      when db_collation is empty

2006-08-03 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    *  libraries/dbi/mysqli.dbi.lib.php PMA_DBI_try_query(): do not force
       MYSQLI_USE_RESULT if not requested, makes PMA_DBI_num_rows() not to work

2006-08-02 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.2.1 released from MAINT_2_8_2

2006-08-02 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css\phpmyadmin.css.php, themes\darkblue_orange\css\theme_right.css.php
      themes\darkblue_orange\layout.inc.php, themes\original\layout.inc.php
      themes\original\css\theme_left.css.php,
      themes\original\css\theme_right.css.php:
      added variables to define (text) color for marked and hovered objects
      thanks to Juergen Wind - windkiel for hinting this bug (patch #1503529)
    * Documentation.html: updated style config option descriptions
    * libraries/common.lib.php:
      - added PMA_escapeJsString() to escape strings for JavaScript inside CDATA blocks
      - added PMA_unQuote() to remove quotes from strings
    * libraries/footer.inc.php: correctly escape strings inside JavaScript
      (part of bug #1532721)
    * libraries/sqlparser.lib.php: correctly unquote identifiers
      (part of bug #1532721)
    * libraries/display_tbl.lib.php:
      bug #1524387 incorrectly detects table name for result field

2006-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1532493 + light editing from me,
      thanks to Isaac Bennetch

2006-08-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php, libraries/header.inc.php:
      do not apply 'vertical scrollbar bug'-fix to IE 7
    * changelog.php: updatet CVS URL
    * libraries/dbi/mysqli.dbi.lib.php:
      bug #1532111 dbi/mysqli: MYSQLI_* constants thanks to Lierduh - lierduh

2006-07-31 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2006-07-31 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/german: Updated.
    * libraries/common.lib.php: use PMA_Config class for cookie needs,
      do not unset not set cookie
    * css\phpmyadmin.css.php, libraries\Config.class.php, main.php,
      themes\*: make font size user configurable

2006-07-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1526000, copy table on MySQL 5.0.23+,
      thanks to Rapsys Phoenix - rapsys

2006-07-28 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Protect against php code input from user (bug
      #1530370).

2006-07-27 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: automatic layout for InnoDB tables
    * tbl_properties_operations.php: problem switching from InnoDB to MyISAM
    * tbl_printview.php, libraries/mult_submits.inc.php,
      libraries/db_table_exists.lib.php:
      bug #1521910, with selected ... print view

2006-07-26 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1526557, display error when admin
      lacks some privileges and tries to do a privilege change
    * libraries/common.lib.php: bug #1523784, blank page after Edit
      in IE6 via IIS

2006-07-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_import.lib.php: the Character set of the file
      could appear twice
    * tbl_properties_operations.php: handling of AUTO_INCREMENT when moving a
      table

2006-07-20 Michal Čihař  <michal@cihar.com>
    * libraries/compat/var_export.php: Dropped due to license problems.
    * scripts/setup.php: Implement own var_export.

2006-07-19 Marc Delisle  <lem9@users.sourceforge.net>
    * browse_foreigners.php: bug #1525393, no page selector in foreign key
      browse page

2006-07-19 Michal Čihař  <michal@cihar.com>
    * libraries/compat/var_export.php: Update to fixed version.

2006-07-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/german: updated, typos

2006-07-18 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix extension loading on HP-UX (bug #1524776),
      thanks to Francois Laupretre - flp1.

2006-07-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php:
      bug #1523623, BIGINT auto_increment and mysql extension

2006-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: Edit next row did not work in 2.9.0-dev

2006-07-13 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: put emphasis on server name

2006-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1519351, security alerts,
      thanks to Juergen Wind - windkiel

2006-07-09 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Readd accidentally removed quotes.

2006-07-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_printview.php, db_datadict.php:
      bug #1398748, print view and TIMESTAMP NULL

2006-07-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/select_server.lib.php, main.php, libraries/left_header.inc.php:
      move server selection in main to the 'right' (below 'phpMyAdmin')

2006-07-08 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php, libraries/header_meta_style.inc.php, libraries/header.inc.php:
      fix to remove scrollbar bug in IE without quirks mode

2006-07-07 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_qbe.php: deactivated some work in progress

2006-07-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php, libraries/db_details_common.inc.php
      libraries/db_details_db_info.inc.php:
      bug #1518147, after displaying information_schema, displaying other
      dbs does not show size
    * libraries/auth/config.auth.lib.php: bug #1477402, if default server fails
      you cannot switch in config auth

2006-07-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/select_server.lib.php, css/phpmyadmin.css.php:
      make serverlist a real html-list
    * main.php: move server selection above server
      details (more logical)

2006-07-04 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, tbl_properties_operations.php,
      libraries/Table.class.php, libraries/export/sql.php,
      tbl_move_copy.php:
      a single-table copy did not copy the constraints;
      also bug #1388048, constraints copied too early when copying a db

2006-07-04 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * js\querywindow.js, libraries\footer.inc.php: renamed JavaScript function
      refreshLeft() to refreshNavigation()
    * libraries/Config.class.php: reload default configuration if config.inc.php
      is removed

2006-07-03 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * index.php, js\querywindow.js, querywindow.php, libraries\common.lib.php,
      libraries\footer.inc.php, libraries\sql_query_form.lib.php:
      bug #1477576 with rtl langs, navi links open in wrong frame

2006-07-02 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: undefined $table when copying a db

2006-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: escape also single quotes
    ### 2.8.2 released from QA_2_8

2006-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: remove debug code
    * libraries/common.lib.php: escape allowed parameters from non-token
      requests

2006-06-27 Michal Čihař  <michal@cihar.com>
    * libraries/import/csv.php: Fix special case of Excel export with ; at the
      end (bug #1511046).
    * scripts/setup.php, libraries/compat/var_export.php: Add var_export
      compatibility wrapper from PEAR PHP_Compat to make setup.php work on PHP
      4.1 (bug #1513007).
    * libraries/Config.class.php: Recalculate URL only if needed not all times
      when using https.
    * lang/slovak: Updated, thanks to Tomas Tatransky - droopytsf.
    * lang/czech: Translated missing strings.

2006-06-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/pdf.php, libraries/plugin_interface.lib.php, lang/*:
      bug #1504218: display an explanation for what is a PDF export
    * libraries/database_interface.lib.php: when a db directory has
      wrong permissions/ownership, information_shema does not work
      for all databases so we revert to SHOW TABLE STATUS

2006-06-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1501027, possible user/password
      disclosure when switching from http to https

2006-06-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, /export/sql.php, lang/*:
    export of procedures and functions. Note: this needs improvement
    because currently the DELIMITER for procedures is exported as a
    comment. Users could remove the comment marker and feed this
    to command-line mysql but it would be better to generate DELIMITER
    not as a comment and parse it while importing.

2006-06-21 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french: update
    * lang/slovak: update, thanks to Tomas Tatransky - droopytsf
    * lang/tatarish: update, thanks to Albert Fazlí
    * libraries/auth/http.auth.lib.php: bug #1504662, display server message

2006-06-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table.class.php: a typo disabled table copy operation

2006-06-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php: bug #1449845 Nowrap in character sets
    * libraries/common.lib.php::PMA_linkOrButton():
      did not recognize hard coded & when ; is set as url separator in php
    * js/querywindow.js, libraries/common.lib.php,
      libraries/sql_query_form.lib.php: bug #1490556 Request-URI Too Large

2006-06-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sql_query_form.lib.php: Delimiter only if MySQL supports it

2006-06-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sql_query_form.lib.php, libraries/import/sql.php, lang/*:
      bug # 1469699, can't create a stored procedure
      Experimental, please test! I added a Delimiter field in the query form
      so user can specify his special delimiter;
      TODO: fix the display of the query which has a special delimiter
            because for now it's empty

2006-06-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug #1490569, search with LIKE on numeric fields
    * libraries/import.lib.php: support display of HANDLER statement results
    * libraries/header.inc.php, libraries/auth/http.auth.lib.php,
      /cookie.auth.lib.php, removed header_custom.inc.php:
      patch #1502453, unnecessary disk access,
      thanks to Juergen Wind (windkiel)
    * libraries/footer.inc.php, libraries/auth/http.auth.lib.php,
      /cookie.auth.lib.php, removed footer_custom.inc.php:
      applied the same optimization

2006-06-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/header.inc.php: bug #1501891, undefined PMA_isSuperuser() when
      the default server is 0

2006-06-06 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: various fixes, thanks to Cedric Corazza

2006-06-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: for auth_type='cookie', avoid
      showing the "cookies must be enabled" message if they are enabled
    * Documentation.html: requirements: web browser with cookies enabled
    * libraries/header.inc.php: show message about cookies also
      when auth_type = http or config

2006-05-31 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1498108, support twice the separator
      in db name, thanks to Sylvain Derosiaux

2006-05-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french*: updates
    * querywindow.php: $is_superuser was not defined
    * sql.php: bug #1490422, lost connection to MySQL server (SELECT DISTINCT)

2006-05-30 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix handling of backquotes (bug #1497239).
    * libraries/export/xml.php: Fix export to XML (bug #1497239).
    * libraries/plugin_interface.lib.php: Show that plugin has no option if it
      has only hidden inputs.
    * sql.php: Do not compare db if not defined.
    * server_binlog.php, server_processlist.php: No need to grab all results
      to memory.
    * libraries/export/htmlexcel.php: Fix extension (bug #1497239).
    * libraries/export/csv.php: Handle correctly AUTO (bug #1497239).
    * lang/*: Remove obsolete messages, add missing ones.
    * lang/czech: Updated.
    * libraries/session.inc.php: Remove unused code.
    * libraries/Table.class.php, libraries/select_lang.lib.php, lang/*: Add
      todo translations (bug #1436564).

2006-05-29 Michal Čihař  <michal@cihar.com>
    * lang/galician: Update, thanks to Xosé Calvo - xosecalvo.
    * lang/japanese: Update, thanks to Ishigaki Kenichi - tcool.
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/italian: Update, thanks to Rebe - rebeluca.
    * lang/estonian: Update, thanks to Marko Ellermaa - uhuu.
    * lang/finnish: Update, thanks to Yoneh - yoneh.
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.
    * lang/czech: Update.

2006-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1496881, CVS link broken in main.php

2006-05-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1451426, edit breaks protected BLOB field,
      changes it from NULL to empty string

2006-05-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, tbl_replace.php: bug #1438999, updating a multi-table
      view

2006-05-21 Marc Delisle  <lem9@users.sourceforge.net>
    * import.php, lang/*: bug #1467804, replaced strNothingToImport
      by strNoDataReceived

2006-05-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.1 released from MAINT_2_8_1

2006-05-19 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: indicate on the Sum line that storage type and
      collation are the default values

2006-05-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/check_user_privileges.lib.php, /database_interface.lib.php, /db_details_links.inc.php,
      /server_common.inc.php, /header.inc.php: bug #1490193 and code simplification

2006-05-17 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1478812, Add user (password containing
      a backslash); also minor optimization

2006-05-15 Marc Delisle  <lem9@users.sourceforge.net>
   * libraries/Table.class.php: bug #1475949, removing the default value

2006-05-15 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Compatibility with security tokens (bug #1488453).
    * scripts/setup.php: Fix detection of writable config (bug #1488447).
    * css/phpmyadmin.css.php, libraries/auth/cookie.auth.lib.php,
      themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php: Not so wide login form (RFE
      #1445541).
    * import.php, export.php: Increase magic contstant to avoid problems with
      compression of some specific data (bug #1477029).

2006-05-14 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix reading database list with MySQL wildcards
      (bug #1487613).
    * changelog.php: There is no reason to make bug uppercase.

2006-05-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/import.lib.php: bug #1482841, support USE statement in the import file

2006-05-12 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0.4 released from MAINT_2_8_0

2006-05-12 Michal Čihař  <michal@cihar.com>
    * libraries/footer.inc.php: Escape user input to avoid XSS.
    * libraries/common.lib.php, libraries/url_generating.lib.php: Better
      handle other URL separator than & (bug #1487365).

2006-05-06 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Describe better regullar expressions in hide_db
      (patch #1482049, thanks to Isaac Bennetch - ibennetch).

2006-05-05 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix UPDATE export with extended inserts
      enabled (bug #1482103), fix export type selection.
    * libraries/select_lang.lib.php: Use GET and POST explicitely as cookies
      can override values in REQUEST (bug #1481584).
    * lang/czech: Updated.

2006-05-03 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Document OpenDocument export and various fixes.

2006-05-02 Michal Čihař  <michal@cihar.com>
    * libraries/select_lang.lib.php, libraries/Theme_Manager.class.php: Escape
      user input (CVE-2006-2031).
    * server_databases.php: Fix path to image (needs to be lower case).
    * libraries/common.lib.php: Use htmlspecialchars instead of htmlentities,
      it doesn't break utf-8.

2006-04-28 Michal Čihař  <michal@cihar.com>
    * Documentation.html, main.php, libraries/config.default.php: Possibility
      to hide creating of database from main (RFE #1370100).
    * Documentation.html, main.php, libraries/left_header.inc.php:
      Customizable link under left logo (RFE #1111599).
    * libraries/export/htmlword.php: Fix including column names.
    * libraries/export/latex.php: Add missing crlf, remove unused code.
    * libraries/export/ods.php: Use correct charset.
    * libraries/export/odt.php, lang/*, libraries/config.default.php: Add Open
      Document Text export (RFE #1068007).
    * libraries/opendocument.lib.php: Add document metainformation.
    * libraries/opendocument.lib.php, libraries/export/ods.php,
      libraries/export/odt.php: Include styles.xml in Open Document, now it
      can be opened in KOffice, Gnumeric and OpenOffice.org.

2006-04-27 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_printview.php: fixed bug 'no tables found', refactored
    * tbl_change.php, tbl_indexes.php: removed table formating, done in css

2006-04-27 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/config.default.php,
      libraries/auth/cookie.auth.lib.php: Logout from all servers by default
      (RFE #1370874).
    * sql.php: Show results of REPLACE as affected as it contains both deleted
      and inserted rows count (bug #1475765).
    * libraries/common.lib.php: Better detection of duplicate rows (bug
      #1477500).
    * libraries/display_tbl.lib.php: Do not check for VIEW if no table name
      (eg. SELECT 1) (bug #1473484).
    * libraries/import/sql.php: Do not strip MySQL conditional statements in
      comments (patch #1459782, thanks to unconed - unconed).
    * Documentation.html: Various fixes in documentation, mostly grammmar
      (patch #1453198, thanks to Isaac Bennetch - ibennetch).
    * lang/*: Remove *font_family.
    * Documentation.html, import.php, querywindow.php, js/functions.js,
      libraries/header.inc.php, libraries/import.lib.php: Improve
      functionality of limiting DROP DATABASE (bug #1456082).
    * libraries/language.lib.php, libraries/common.lib.php,
      libraries/database_interface.lib.php, libraries/select_lang.lib.php:
      Reload language file after switch to utf-8 translation (bug #1442605).
    * tbl_properties_operations.php,
      libraries/tbl_properties_table_info.inc.php: Allow to set PACK_KEYS to
      DEFAULT (bug #1440966).

2006-04-26 Michal Čihař  <michal@cihar.com>
    * libraries/plugin_interface.lib.php:
        - Display information that there are no settings.
        - Be more verbose on error.
        - Drop tables used for layout.
        - Add support for groupping options.
        - Support for forcing one of two bool/bgroups.
        - Add documentation.
        - Support for localised texts in defaults.
    * css/phpmyadmin.css.php, themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php: New style for non table forms
      used in plugins.
    * libraries/config.default.php, libraries/display_export.lib.php,
      libraries/export/*: Convert export to plugin architecture, so that
      plugins are independant piece of code (RFE #1325937).
    * db_operations.php, tbl_properties_operations.php,
      libraries/Table.class.php: Adapt to changes in export.
    * export.php, libraries/export/*: Use plugins for extension and MIME type.
    * libraries/export/ods.php, libraries/opendocument.lib.php,
      libraries/config.default.php, lang/*: Export to OASIS OpenDocument
      Spreadsheet (RFE #1068007).
    * lang/czech: Update.
    * export.php, libraries/plugin_interface.lib.php, libraries/export/*:
      Allow forcing of export to file, it makes no sense to display PDF in
      textarea ;-).
    * libraries/display_export.lib.php: Reinclude table selection (bug
      #1477226).
    * libraries/auth/cookie.auth.lib.php: Remove unused function.
    * libraries/auth/cookie.auth.lib.php, Documentation.html,
      libraries/config.default.php: Allow configuration of cookie storage on
      client (RFE #1095227).
    * server_privileges.php, lang/*: Create database for newly created user
      (RFE #479640).

2006-04-26 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*:
      updated themes;
      fixed bug #1452131 Fonts too large;
      fixed bug #1446211 Colors hardcoded in theme css files;
    * libraries/Theme_Manager.class.php: search themes on every script start
    * libraries/Theme_Manager.class.php, libraries/Theme.class.php:
      use fallback (original) css file if not found in current theme
      (no need to include unchanged files into theme, f. e. print.css)

2006-04-25 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Make cookie login form work with token
      protection.
    * libraries/auth/cookie.auth.lib.php: Do not include empty values.
    * changelog.php: Generate proper XHTML, make URLs clickable.

2006-04-25 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_qbe.php, db_printview.php, libraries/display_tbl.lib.php,
      css/phpmyadmin.css.php, js/functions.js, pdf_pages.php, pdf_schema.php,
      server_binlog.php, server_variables.php, tbl_change.php,
      transformation_overview.php:
      style upgrade
    * changelog.php: replaced php short open tag

2006-04-24 Michal Čihař  <michal@cihar.com>
    * main.php: Fix logout link (bug #1474694).

2006-04-21 Michal Čihař  <michal@cihar.com>
    * libraries/import/csv.php: Fix importing files without trailing new line
      (bug #1473944).
    * Documentation.html: Document problems with PMA_blowfish on clusters of
      different architectures (bug #1470912).
    * Documentation.html: Document LoginCookieValidity (bug #1473357).

2006-04-20 Michal Čihař  <michal@cihar.com>
    * index.php: Check target against goto_whitelist.
    * libraries/url_generating.lib.php, libraries/session.inc.php,
      libraries/common.lib.php: Protect against external links which could
      perform any action (CVE-2006-1804).
    * changelog.php: Link to CAN/CVE security issues, highlight releases, fix
      email links, link releases to tags in CVS.

2006-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * server_databases.php: need brackets for correct calculation of page

2006-04-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_databases.php, libraries/database_interface.lib.php:
      disable table stats for MySQL 5 by default
    * server_databases.php:
      use new functionality of PMA_DBI_get_databases_full() to limit display
    * libraries/database_interface.lib.php:
       - extended PMA_DBI_get_databases_full() to allow limiting and sorting
       - added new function PMA_DBI_get_databases_count()
    * libraries/config.default.php:
      added new paramter to limit maximum displayed databases
    * sql.php:
       - fixed bug #1469469 cyclic redirect with sql.php as default table-page
       - re-use already existing code
    * changelog.php:
      link also js, html, pl, and sh files, FAQ entries
      and contributors to their sf.net user page, smaller regex fixes

2006-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1443004 part 2: export views after the tables

2006-04-12 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1443004 part 1: do not generate INSERT statements
      for an exported VIEW

2006-04-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css/phpmyadmin.css.php:
      fixed bug #1446017 red border in outdated themes
    * libraries/common.lib.php:
       - added option to PMA_arrayWalkRecursive() to use function also on keys
       - un-magic_quotes_gpc also keys in GPC arrays
    * libraries/db_table_exists.lib.php:
      cleanup - what a mess; fixed several undefined variables
    * tbl_printview.php:
      fixed undefined variable by including libraries/tbl_properties_common.php
    * changelog.php:
      link users, files, bugs, rfes and patches
    * libraries/footer.inc.php:
      fixed bug #1454874 Javascript error in new (not framed) print window
    * css/phpmyadmin.css.php, scripts/setup.php, test/theme.php
      themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php:
      fixed bug #1444466 theme directory not being processed correctly
    * libraries/common.lib.php, libraries/Theme_Manager.class.php:
      fixed bug #1469174 configuration changes not accepted in theme manager
    * libraries/Theme_Manager.class.php:
      fixed bug #1469120 missing property in Theme_Manager class
    * libraries/common.lib.php:
      fixed bug #1469109 PMA_backquote() issues

2006-04-11 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarification about config.default.php

2006-04-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * tbl_relation.php:
      fixed bug #1459418 Add foreign key fail on column with ' in name
    * index.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php, libraries/common.lib.php,
      libraries/footer.inc.php, libraries/fpdf/fpdf.php,
      libraries/grab_globals.lib.php, libraries/header.inc.php,
      libraries/ip_allow_deny.lib.php, libraries/select_lang.lib.php,
      libraries/Config.class.php:
      use PMA_getenv()
    * libraries/Config.class.php:
      fixed not initilized variable in getCookiePath();
    * libraries/common.lib.php:
      added PMA_getenv() as a wrapper to $_SERVER, $_ENV, getenv() and apache_getenv()

2006-04-11 Michal Čihař  <michal@cihar.com>
    * lang/galician: Fix missing ; (bug #1468439).
    * libraries/Config.class.php: Fix parsing of paths containing : (patch
      #1461766).

2006-04-10 Michal Čihař  <michal@cihar.com>
    * libraries/Config.class.php: Check also default config mtime (bug
      #1467620).
    * libraries/Config.class.php: Better check for server system (patch
      #1462738).
    * libraries/import/csv.php: Fix parsing of large CSV files (bug #1456331).

2006-04-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace.php, libraries/dbi/mysqli.dbi.lib.php: bug #1255923,
      detect and report silent truncation (mysqli only)

2006-04-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_import.lib.php, lang/*: bug #1449793,
      respect file_uploads = Off

2006-04-07 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Parse correctly new version numbers.

2006-04-06 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0.3 released from branch MAINT_2_8_0
    * themes/*/css/theme_left.css.php, /theme_right.css.php:
      protection from unplanned execution path

2006-03-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table_class.php, /sqlparser.lib.php: bug #1458245,
      copy a db containing a VIEW

2006-03-26 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #1448890 Column expander doesn't work
    * libraries/tbl_properties.inc.php: bug #1458334, undefined offset
    * libraries/sqlparser.data.php: bug #1455373, CONVERT in reserved words

2006-03-25 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, libraries/Table.class.php,
      libraries/display_export.lib.php libraries/export/sql.php:
      bug #1401864, DROP VIEW instead of DROP TABLE

2006-03-23 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, tbl_properties_operations.php,
      libraries/display_export.lib.php, lang/*: start work for bug #1401864,
      generation of DROP VIEW statements where appropriate

2006-03-23 Michal Čihař  <michal@cihar.com>
    * libraries/import/sql.php: Fix handling of -- (bug #1453430).

2006-03-23 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates, sync'ed some technical terms with the
      German MySQL manual.

2006-03-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1444417 blobs are centered
    * libraries/common.lib.php: patch #1455286, catch 'permission denied'
      error on SHOW DATABASES, thanks to Bernard Dautrevaux - b-dautrevaux

2006-03-22 Alexander M. Turek  <me@derrabus.de>
    * lang/spanish-*.inc.php: Updates, thanks to Daniel Hinostroza.
    * lang/galician-*.inc.php: Updates, thanks to Xosé Calvo.

2006-03-21 Alexander M. Turek  <me@derrabus.de>
    * libraries/german-*.inc.php:
      - Reviewed recently translated strings;
      - updated some untranslated messages.

2006-03-21 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php:  bug #1427707 Priv->user->pass radio buttons
      unselectable: Sebastian's fix was not in HEAD
    * libraries/Table.class.php: bug #1439002, drop basetable of a view gives
      error on overview Table.class.php

2006-03-20 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Added a note about Connector/PHP to FAQ 1.17.

2006-03-19 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug #1445853, overhead should use the
      same display units
    * lang/english*, /french*: use IEC binary units; use "B" for Bytes
      and "o" for "Octets" in French
    * db_details_importdocsql.php: bug #1444025, dead code about DOCUMENT_ROOT

2006-03-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: if $cfg['Servers'][$i]['nopassword']
      is not defined (using an older config.inc.php), an error is displayed
      when login fails

2006-03-17 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Allow empty socket (bug #1452142).

2006-03-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: undefined variable when a BLOB is NULL
    * libraries/Theme_Manager.class.php: XSS vulnerability
    * libraries/common.lib.php: bug #1392554, turn off
       zend.ze1_compatibility_mode due to mysqli problems
    ### 2.8.0.2 released from branch MAINT_2_8_0

2006-03-16 Michal Čihař  <michal@cihar.com>
    * libraries/select_server.lib.php: Move end of fieldset to correct place
      after button (patch #1450559).
    * libraries/plugin_interface.lib.php: Add support for hidden inputs.
    * libraries/common.lib.php: Do not forget wrongly configured servers,
      otherwise user gets warning only on first access (RFE #1451521).
    * libraries/auth/config.auth.lib.php: Show possible error messages.
    * show_config_errors.php, libraries/common.lib.php: Add wrapper to show
      config errors even with no error reporting (RFE #1447173).
    * scripts/create-release.sh: Use w3m instead of lynx (bug #1451635).

2006-03-15 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlexcel.php: Fix output handling (bug #1450555).

2006-03-14 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update, use binary prefixes.
    * lang/english: Nothing to translate here.
    * scripts/setup.php: Fix config loading (bug #1449821).

2006-03-14 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Use correct binary prefixes for byte units.

2006-03-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1449715, loading of binary data very slow
    * server_privileges.php: compatibility with MySQL < 4.0.2
    * server_databases.php: bug #1445991, compatibility with MySQL 3.23.52

2006-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php, /common.lib.php: bug #1445120,
      cookie login not working on IIS

2006-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: reactivate in-line image display
    * transformation_wrapper.php: bug #1444121, octetstream download fails
      on versions of PHP accepting only one line per header,
      thanks to Ryan Schmidt

2006-03-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, tbl_create.php,
      tbl_properties_operations.php: bug #1444892, TYPE deprecated in
      MySQL 5.1
    ### 2.8.0.1 released from branch MAINT_2_8_0

2006-03-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1444867, does not load config.inc.php
      under PHP < 4.3.0, thanks to Julian Ladisch - julianladisch

2006-03-06 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1443337, homepage link
    ### 2.8.0 released from branch MAINT_2_8_0

2006-03-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php, libraries/select_lang.lib.php,
      libraries/footer.inc.php, libraries/ip_allow_deny.lib.php,
      libraries/common.lib.php, libraries/header.inc.php,
      libraries/grab_globals.lib.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php, libraries/fpdf/fdpf.php, index.php:
      replaced $_SERVER and $_ENV with getenv()
      PMA should now work without registered $_ENV and $_SERVER variables

2006-03-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.
    * import.php, libraries/common.lib.php: bug #1413880, page status not
      preserved on Refresh
    * lang/chinese_traditional: Updates, thanks to Siu Sun.

2006-03-03 Michal Čihař  <michal@cihar.com>
    * libraries/Theme_Manager.class.php: Fix include path (bug #1442008).

2006-03-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php and removed .htaccess:
      bug #1411996: now we destroy an auto-started session
    ### 2.8.0-rc2 released from MAINT_2_8_0 branch

2006-03-02 Michal Čihař  <michal@cihar.com>
    * libraries/display_tbl.lib.php: Fix parameter to transformation (bug
      #1440926).
    * libraries/transformations/application_octetstream__hex.inc.php, lang/*:
      Allow to configure how often space is added (RFE #1440384).

2006-02-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: bug #1437754, search combos default to
      key zero
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.

2006-02-23 Michal Čihař  <michal@cihar.com>
    * libraries/config.default.php, libraries/header.inc.php,
      Documentation.html: More replacements for page title (RFE #1408241).
    * contrib/packaging/Fedora/phpMyAdmin.spec: Update.

2006-02-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1418769 part 1: stat failed for
      ./config.inc.php (under PHP 4)
    * sql.php: bug #1437499, LIMIT clause when query ends with semicolon

2006-02-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1435303, error on empty BLOB transf.
    * .htaccess: added a reference to FAQ 1.36

2006-02-22 Michal Čihař  <michal@cihar.com>
    * libraries/iconv_wrapper.lib.php, libraries/charset_conversion.lib.php:
      Fixes for AIX wrapper, thanks to Björn Wiberg - bwiberg.
    * libraries/database_interface.lib.php: New function for getting available
      SQL compatibility modes.
    * libraries/plugin_interface.lib.php: Add support for select options and
      documentation.
    * libraries/display_export.lib.php: Use new function for SQL compatibility
      modes.
    * libraries/import/sql.php, lang/*, libraries/config.default.php:
      Possibility to select SQL compatibility on import (RFE #1386132).
    * main.php, lang/*: Better message for reloading privileges (RFE
      #1420556).
    * Documentation.html, libraries/config.default.php,
      libraries/header.inc.php: Customizable window title (RFE #1408241).
    * main.php, libraries/server_links.inc.php, lang/*: Same title for
      processes link (RFE #1350356).
    * lang/*: Remove unused strTableType, resorted, added missing strings to
      various translations (timespanfmt was most often missing).
    * lang/czech: Update.
    * sql.php, libraries/display_tbl.lib.php, lang/*: Better message for query
      export, move operation above query results into one fieldset (bug
      #1431420).
    * tbl_properties_operations.php: Enable optimize for InnoDB (bug
      #1415975).
    * contrib/packaging/Fedora: Add spec file for Fedora (patch #1388224,
      thanks to Patrick MONNERAT - monnerat).
    * Documentation.html, libraries/config.default.php,
      libraries/dbi/mysql.dbi.lib.php, libraries/dbi/mysqli.dbi.lib.php: Allow
      to use external authentication and use empty MySQL passwords (path
      #1388210, thanks to Patrick MONNERAT - monnerat).
    * .cvsignore: Do not ignore .htaccess.

2006-02-22 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/footer.inc.php:
      bug #1436279 Left frame links open in new windows in Safari
    * libraries/footer.inc.php, themes/*/img/window-new.png *NEW*:
      added icon for new window
    * libraries/dbi/mysqli.dbi.lib.php: workaround for http://bugs.php.net/36007
    * libraries/database_interface.lib.php PMA_DBI_get_tables_full(), left.php:
      added workaround for bug #1436171 Cannot display Capitalised Databases
    * js/querywindow.js: fixed 'mad' db slector

2006-02-21 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php:
        - Various bug fixes (bug #1435700, bug #1435806, undefined indexes).
        - XHTML fixes (patch #1435772, thanks to Matt LaPlante - cyberdog3k).
    * libraries/export/sql.php: New line before values (RFE #1435919).
    * libraries/Config.class.php: Trim spaces from config file to avoid
      unwanted outpu (patch #1431566, thanks to Piotr_Skowronek -
      piotr_skowronek).
    * libraries/iconv_wrapper.lib.php, libraries/charset_conversion.lib.php,
      libraries/database_interface.lib.php: Compatibility with iconv charset
      names on AIX (patch #1420704, thanks to Björn Wiberg - bwiberg).
    * libraries/import.lib.php: Skip byte order marks (bug #1423362).

2006-02-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php PMA_getUvaCondition():
      do not test for isset but strlen on orgname of table
    * libraries/Table.class.php: *NEW* class PMA_Table
    * tbl_addfield.php, tbl_create.php:
      use Table.class.php
    * db_details_qbe.php, db_details_structure.php, tbl_alter.php, sql.php,
      libraries/common.lib.php, libraries/tbl_properties_table_info.inc.php,
      libraries/display_export.lib.php, libraries/display_tbl.lib.php,
      libraries/get_foreign.lib.php, libraries/relation.lib.php:
      moved PMA_generateFieldSpec(), PMA_tableIsView(), PMA_countRecords(),
      PMA_generateAlterTable() into class PMA_Table
    * db_operations.php, tbl_move_copy.php, tbl_properties_operations.php,
      libraries/Table.class.php, libraries/tbl_move_copy.php:
      merged libraries/tbl_move_copy.php in class PMA_Table
    * libraries/Table.class.php:
      minor fixes and improvements, formating, documentation
    * libraries/relation.lib.php:
      check if $cfg['Server']['pmadb'] really exists and is selectable,
      minor tweaks and formating
    * libraries/common.lib.php PMA_getUvaCondition():
      fixed bug #1436058 Notices while browsing table
    * tbl_properties_operations.php, libraries/Table.class.php:
      make use of PMA_Table object for renaming tables
      (added also some required functionality to PMA_Table class)

2006-02-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0-rc1 released from QA_2_8 branch

2006-02-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php:
      - fixed undefined MYSQLI_BINARY_FLAG constant
      - documentation
    * server_status.php:
      - RFE #1434196 More significant digits in /status
      - replaced number_format() with PMA_formatNumber()
      - coding standards
    * js/querywindow.js, css/phpmyadmin.css.php:
      - RFE #1433382 visulal feat. request for left bar
    * sql.php:
      - fixed bug #1431422 Safari: Print view prints blank page

2006-02-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: re-establish previous error reporting mode
    * sql.php: bug #1434576, undefined variable $db
    * libraries/storage_engines.lib.php: bug #1434578, missing argument
      for __construct()
    * Documentation.html: bug #1433633, document consequences of having
      a .htaccess file, thanks to Isaac Bennetch

2006-02-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php PMA_getUvaCondition():
       - fixed missing $analyzed_sql (partly bug #1431615)
       - added table names to column names (partly bug #1431615)
       - simplified search for alias
    * libraries/dbi/mysqli.dbi.lib.php:
      - make use of MYSQLI_* constants
      - added column types newdecimal and bit

2006-02-18 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1415465, undefined $sql_query
    * libraries/common.lib.php: bug #1377215, errors with E_STRICT

2006-02-18 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php:
      fixed bug #1433882 html special chars not escaped in query in querybox

2006-02-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*, db_details_structure.php:
      bug #1431352, no %d in strViewMaxExactCount
    * db_details_structure.php: bug #1431340, rowcount for views and
      unneeded $strViewMaxExactCount
    * libraries/common.lib.php: array to string conversion
    * libraries/display_tbl.lib.php: bug #1396998, added $strViewMaxExactCount
      when browsing

2006-02-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * docs.css, Documentation.html, translators.html:
      - XHTML 1.1, more semantic, formating
      - added glossar
      - linked all references
    * libraries/common.lib.php:
      - fixed bug #1432626 'bad url error after select "(Databases)..."'
    * libraries/select_server.lib.php:
      - fixed pre-select for current server (fixed type missmatch)
      - do not autosubmit on '(Server) ...'
    * css/print.css: fixed bug #1419696 'print css results in blank table output'
    * tbl_printview.php, css/print.css, themes/*/css/theme_print.css.php:
      fixed/cleaned printer output
    * libraries/footer.inc.php: do not print selflink

2006-02-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/italian: update, thanks to Luca Rebellato
    * lang/german: remove duplicates
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat
    * lang/finnish: update, thanks to Jouni Kahkonen

2006-02-15 Marc Delisle  <lem9@users.sourceforge.net>
    * bug #1406378, default value and auto_increment, thanks to Nuvo - nyvsld

2006-02-14 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: XHTML error, thanks to Cédric Corazza
    * Documentation.html: remove experimental status for MySQL 4.1 support

2006-02-14 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.

2006-02-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_structure.php, tbl_properties_structure.php:
      - fixed bug #1420474 'Consistency (order of truncate/drop)'
      - some PEAR coding standard

2006-02-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1425522, warning when calling
      a stored procedure, thanks to JTC - jcqns

2006-02-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      - fixed bug #1416848 'Insert new row from Browse page'
    * libraries/common.lib.php:
      - fixed bug #1409893 - links in navigation frame opens new window
    * libraries/select_server.lib.php:
      - fixed bug #1425688 'Server Select quirk'
      - valid XHTML 1.0
      - code readability
    * server_privileges.php:
      - fixed bug #1427707 Priv->user->pass radio buttons unselectable

2006-02-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/english and hebrew: bug #1429769, typo
    * tbl_change.php, tbl_replace.php: bug #1429074, "go back to this page"
      choice should be sticky

2006-02-10 Marc Delisle  <lem9@users.sourceforge.net>
    * .htaccess added to main directory for bug #1411996; at least on
      servers supporting .htaccess we can run even if session.auto_start
      is enabled
    * lang/belarusian updates, thanks to Jaska Zedlik
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2006-02-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libararies/session.inc.php:
      stop execution and ommit warning on session.auto_start enabled

2006-02-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mult_submit.inc.php: bug #1404565, left frame refresh on
      db drop from Databases link in main page

2006-02-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: leave the possibility of having a
      backslash in the path on non-Windows system, thanks to Michal;
      and bug #1418769, part 2: missing argument (PHP 4 constructor)

2006-02-06 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Fix typos (bug #1424923).

2006-02-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/mult_submits.inc.php, server_databases.php: array to string
      conversion (sorry to late :-( ), use of $_REQUEST
    * sql.php: fixed some 'not refreshing left frame'
    * import.php: refresh left frame also on multiqueries and bookmarks
    * libraries/common.lib.php:
       - fixed bug #1416848 'Insert new row from Browse page'
       - PMA_checkPageValidity() [bug #1416848]
       - added PMA_getIcon()
       - PMA_getDbLink(): unescape names
    * scripts/setup.php:
      fixed bug #1424274 'Found a problem in the setup script'
      (ShowPHPInfo -> ShowPhpInfo)

2006-02-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1409770 auto-detection and dirname on
      Windows, thanks to Alex - nixniemand
    * libraries/mult_submits.inc.php, server_databases.php: array to string
      conversion
    * tbl_properties_operations.php, tbl_properties.php, tbl_import.php,
      tbl_change.php: bug #1415465, undefined $sql_query

2006-01-31 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug #1412058, damaged table reporting
    * import.php: bug #1418382, CSV import does not work

2006-01-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1418145, missing global,
          thanks to Bananeweizen

2006-01-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian updates, thanks to Marko Ellermaa - uhuu
    * lang/polish: updates, thanks to Jakub Wilk - ubanus
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * lang/italian: update, thanks to Luca Rebellato
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * db_details_structure.php: bug #1396998, notice for view row count
      in table list
    * libraries/session.inc.php: bug #1414628, session.save_handler might
      be set to something different than "files". Thanks to Nicola Asuni
    ### 2.8.0-beta1 released

2006-01-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1396998, avoid displaying exact row
    count for views, work in progress

2006-01-26 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation update.

2006-01-25 Marc Delisle  <lem9@users.sourceforge.net>
   * db_details_qbe.php: use PMA_countRecords() when possible, to be able
     to centralise into it the VIEW detection logic
   * sql.php: affected rows are returned in case of DELETE with no WHERE
     clause, at least since MySQL 4.0.x, so no need to pre-count

2006-01-25 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_status.php:
      fixed bug: high ascii char in preg_match
    * lang/german-*: update

2006-01-24 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: strViewMaxExactCount for the VIEW row count detection
      I'm working on...

2006-01-23 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation update.

2006-01-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1410787, incorrect merging of parameters
      contained in an array

2006-01-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * tbl_printview.php: typo

2006-01-20 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1410078, error exporting query ending with semicolon,
      thanks to Ryan Schmidt

2006-01-19 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: already defined constant
    * libraries/display_create_table.lib.php: bug #1376314, I remove
      the check to detect the privilege to create a table (see comments
      in the code)

2006-01-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * pdf_schema.php, db_details_qbe.php, libraries/display_tbl.lib.php,
      libraries/export/htmlword.php, libraries/export/latex.php,
      libraries/import.lib.php, libraries/ip_allow_deny.lib.php,
      libraries/transformations.lib.php,
      libraries/transformations/text_plain__external.inc.php:
      fixed bug #1409972 PHP 5.1.2 compatibility
    * libraries/url_generating.lib.php:
      fixed bug: undefined index server ($GLOBALS['server'])

2006-01-18 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Add info about Apache CGI and http auth (patch
      #1375495).

2006-01-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php:
      fixed bug: undefined index with empty database in db structure view
    * libraries/display_import.lib.php:
      fixed bug: display issues with Opera (and Safari?)
    * libraries/plugin_interface.lib.php:
      - fixed bug: display issues with Opera (and Safari?)
      - added source documentation
      - PEAR coding standard
      - clarified some variable names
    * db_sarch.php:
      fixed bug: Undefined variable: num_tables
    * [really much files]: (not complete) PEAR coding standard

2006-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: typo
    * libraries/check_user_privileges.lib.php: bug #1406499,
      a username containing an hyphen could not create a db under
      MySQL 4.0.x, thanks to "timeout-"
    * libraries/common.lib.php: bug #1405956, uninitialized variable $link,
      thanks to Sebastian Mendel

2006-01-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php: undefined js variable
    * libraries/database_interface.lib.php: PMA_DBI_get_tables_full() first parameter
      now also accepts an array of database names not only a single name
    * libraries/common.lib.php: PMA_getTableList():
      added second parameter to pass tables (if already fetched from db)
    * left.php: make use of new functionality in PMA_getTableList() and
      PMA_DBI_get_tables_full(): reduce db server traffic (MySQL >=5.0)
    * libraries/common.lib.php:
      removed aditional check for table row count for left frame tree
      (bug #1397061 Left frame not loaded correct on MySQL error)
    * libraries/common.lib.php, left.php:
      bug #1392924 undefined index: tab_count
    * libraries/display_export.lib.php, css/phpmyadmin.css.php,
      themes/*/css/theme_right.css.php:
      'fixed' layout of export screen for buggy safari and opera
    * db_operations.php, export.php, index.php, left.php,
      libraries/auth/cookie.auth.lib.php, libraries/common.lib.php,
      libraries/db_details_common.inc.php, libraries/db_table_exists.lib.php,
      libraries/display_export.lib.php, libraries/display_tbl.lib.php,
      libraries/export/sql.php, libraries/footer.inc.php,
      libraries/header.inc.php, libraries/left_header.inc.php,
      libraries/mult_submits.inc.php, libraries/mysql_charsets.lib.php,
      libraries/relation.lib.php, libraries/server_common.inc.php,
      libraries/sql_query_form.lib.php, libraries/sqlparser.lib.php,
      libraries/tbl_indexes.lib.php, libraries/tbl_move_copy.php,
      libraries/url_generating.lib.php, querywindow.php, scripts/setup.php,
      server_databases.php, server_privileges.php, server_processlist.php,
      sql.php, tbl_addfield.php, tbl_alter.php, tbl_change.php, tbl_create.php,
      tbl_indexes.php, tbl_replace.php:
      allow 0 as name for database, table collumn, alias and index

2006-01-12 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: typo, thanks to Cédric Corazza
    * libraries/common.lib.php: remove high-ascii characters, and an
      assignment syntax that does not work on PHP 5.1.2
    * libraries/database_interface.lib.php: PHP 5.1.2 compatibility

2006-01-11 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/sqlparser.lib.php: other fixes for bug #1394479

2006-01-11 Michal Čihař  <michal@cihar.com>
    * main.php: Do not fail if no server is defined.
    * main.php, libraries/left_header.inc.php,
      libraries/select_server.lib.php: Show server selection if no server set
      and we have one server configuration (bug #1399880).
    * libraries/import/sql.php: Fix hang on unclosed quoted string (bug
      #1402270).

2006-01-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1394479, problem detecting ending
      semi-colon, generates a SHOW KEYS FROM no table name

2006-01-09 Michal Čihař  <michal@cihar.com>
    * import.php: Work on 10MB chunks if no memory limit is set (bug
      #1399477).

2006-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #1395590 Safari Bookmark query fieldset float problem,
      thanks to Ryan Schmidt
    * libraries/common.lib.php: bug #1397749, Safari: space before
      PMA_linkOrButton link is part of the link, thanks to Ryan Schmidt
    * server_privileges.php: bug #1398018, Safari fieldset float issue in
      privileges screens, thanks to Ryan Schmidt
    * libraries/Config.class.php: bug #1398931, incorrect detection of
      PmaAbsoluteUri in vhost situations, thanks to Ryan Schmidt

2006-01-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_datadict.php, pdf_schema.php: bug #1389165, data dict shows all
      columns as Null Yes
    * pdf_schema.php: display PDF schema did not work (missing dot)

2006-01-04 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: since we use DROP USER, some options to
      remove a user did not work under MySQL 4.1.x (only mode 2 worked),
      so I remove them from the dialog. Thanks to Ken Stanley for
      the bug report.
    * server_status.php: patch #1395031, not proper URL encoding,
      adapted from proposed solution by Matt LaPlante, thanks

2006-01-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_create_table.lib.php: bug #1389868,
      Safari's rendering of "Create table" fieldset, thanks to Ryan Schmidt

2006-01-01 Michal Čihař  <michal@cihar.com>
    * libraries/Config.class.php: Do not check permissions on Windows, it
      seems to be broken anyway.

2006-01-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/transformations.lib.php: remove some PHP3 compatibility code

         --- Older ChangeLogs can be found on our project website ---
                     http://www.phpmyadmin.net/old-stuff/ChangeLogs/

# vim: et ts=4 sw=4 sts=4
# vim: ft=changelog fenc=utf-8 encoding=utf-8
# vim: fde=getline(v\:lnum-1)=~'^\\s*$'&&getline(v\:lnum)=~'\\S'?'>1'\:1&&v\:lnum>8&&getline(v\:lnum)!~'^#'
# vim: fdn=1 fdm=expr
